def qsort1(list):
    """
    Quicksort usant llistes
    >>> qsort1([8, 10, 2, 6, 17, 13, 1, 4, 8, 16, 7])
    [1, 2, 4, 6, 7, 8, 8, 10, 13, 16, 17]
    >>> qsort1(['berta','albert','ana','toni','carme','gemma','miquel'])
    ['albert', 'ana', 'berta', 'carme', 'gemma', 'miquel', 'toni']
    """
    if list == []: 
        return []
    else:
        pivot = list[0]
        lesser = qsort1([x for x in list[1:] if x < pivot])
        greater = qsort1([x for x in list[1:] if x >= pivot])
        return lesser + [pivot] + greater

if __name__ == "__main__":
    import doctest
    doctest.testmod()


